import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'vote',
      component: () => import('./views/vote/index.vue')
    },
    {
      path: '/vote/:actid',
      name: 'voteList',
      component: () => import('./views/vote/list.vue')
    },
    {
      path: '/detail/:id',
      name: 'voteDetail',
      component: () => import('./views/vote/detail.vue')
    },
    {
      path: '/vote/signup/:id',
      name: 'signUp',
      component: () => import('./views/vote/signup.vue')
    }
  ]
})
